apiVersion: skaffold/v1beta6
kind: Config
build:
  artifacts:
    - image: registry.gitlab.com/commonground/cg-network-visualisation/ui
      context: ./ui
      docker:
        dockerfile: Dockerfile
    - image: registry.gitlab.com/commonground/cg-network-visualisation/auth
      context: ./api/auth
      docker:
        dockerfile: Dockerfile
  tagPolicy:
    sha256: {}
  local:
    push: false
profiles:
  - name: minikube
    deploy:
      helm:
        releases:
          - name: cgn
            namespace: cgn-dev
            chartPath: helm/cgn
            valuesFiles:
              - helm/cgn/val-dev.yaml
            setValues:
              apiAdminName: admin
              apiAdminPass: password
              apiAuthKey: This_is_test_key!_12aeasd123423srsfdds32423412890
              apiHasuraConsole: true
              apiHasuraAdminSecret: UGE1NXdvcmQ=
              apiHasuraAuthHook: http://auth.cgn-dev:5050/hasura
